This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 517649

Summary: Changes for lowering capabilities project
Product: [Fedora] Fedora Reporter: Steve Grubb <sgrubb>
Component: dhcpAssignee: David Cantrell <dcantrell>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: dcantrell, wwoods
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-08-22 06:22:23 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 519823    
Attachments:
Description Flags
Patch to drop capabilities
none
Patch to drop capabilities none

Description Steve Grubb 2009-08-15 12:42:41 EDT
Created attachment 357544 [details]
Patch to drop capabilities

Description of problem:
As part of the lowering capabilities project, we should drop all unnecessary capabilities in dhclient.
Comment 1 Steve Grubb 2009-08-15 17:33:13 EDT
Created attachment 357550 [details]
Patch to drop capabilities

Forgot to clear bounding set in previous patch.
Comment 2 David Cantrell 2009-08-18 21:22:54 EDT
Patch is in dhcp-4.1.0p1-5.fc12.  Thanks.
Comment 3 Steve Grubb 2009-08-20 16:23:38 EDT
Thanks for applying the patch. I should have mentioned that you need to add a BuildRequires: libcap-ng-devel to the spec file so that configure detects the library and swings the code in. Do you mind respinning with that addition? Thanks.
Comment 4 David Cantrell 2009-08-22 06:22:23 EDT
dhcp-4.1.0p1-6.fc12 now includes a BuildRequires for libcap-ng-devel.